# File: hypot.py
# compute the hypotenuse of a right triangle
#
# Matt Bishop, MHI 289I, Winter 2018
#

# bring in the square root function
from math import sqrt

#
# read in the length of the two sides, as floats
# note we handle non-numbers as an exception here!
#
try:
    x = float(raw_input("First side: "))
    y = float(raw_input("Second side: "))
except:
    # whatever was entered wasn't a floating point number
    print("You need to enter a number for the length of the right triangle's side!")
else:
    # looking good . . . do the computation
    z = sqrt(x ** 2 + y ** 2)
    print("A right triange with sides", x, "and", y, "has a hypotenuse of length", z)
          
